function slices = getslices(planes, coords, npanels)

if length(npanels) ~= 2
    error('Number of panels should be a 2-element vector specifying number of rows and columns.');
end
if length(coords) > npanels(1) * npanels(2)
    error('Cannot fit the panels in the specified matrix.');
end

slices = [];
for i = 1:length(coords)
    slices(i).plane = planes(min(i, length(planes)));
    slices(i).coord = coords(i);
    if i == 1
        slices(i).pos = [];
        slices(i).ref = [];
    elseif mod(i - 1, npanels(2)) == 0
        slices(i).pos = 'b';
        slices(i).ref = i - npanels(2);
    else
        slices(i).pos = 'r';
        slices(i).ref = i - 1;
    end
end
